package model

type ResponseCarRecordCount struct {
	NowDate string `json:"nowDate"` //当前返回时间
	CountN  int    `json:"countN"`  //大型货车
	CountT  int    `json:"countT"`  //中型货车
}
type ResponseCarModelCount struct {
	TotalCountN int `json:"totalCountN"` //大型货车 总数量
	TotalCountT int `json:"totalCountT"` //中型货车 总数量
}

type ResponseCarRecordAll struct {
	CarRecordCount []ResponseCarRecordCount `json:"carRecordCount"` //汇总line图
	CarModelCount  ResponseCarModelCount    `json:"carModelCount"`  //车型总数量
	Details        interface{}              `json:"details"`        //下方车牌明细
}

type RequestCarRecordCountFilter struct {
	StartTime string `form:"startTime"`
	EndTime   string `form:"endTime"`
	QueryType string `form:"queryType"` //类型 month月 day日
	CaptureId int    `form:"captureId"` //抓拍单元
	CarModel  int    `form:"carModel"`  //2大型 1中型 0全部
}
