package model

type RequestBusinessTacticFilter struct {
	ArmDeviceType int    `form:"armDeviceType"` //告警类型
	ArmDeviceName string `form:"armDeviceName"` //告警设备名称
	ArmHandle     int    `form:"armHandle"`     //是否处理
	ArmSource     int    `form:"armSource"`     //类型

	ArmClassify  int    `form:"armClassify"`  //策略类型
	BusinessName string `form:"businessName"` //策略备注名称

	Current int `form:"current"` //当前分页
	Size    int `form:"size"`    //每页数量
}

type ResposeBusinessTactic struct {
	Records interface{} `json:"records"` //记录列表
	Current int         `json:"current"` //当前分页
	Size    int         `json:"size"`    //每页数量
	Total   int64       `json:"total"`   //总数
	Pages   int         `json:"pages"`   //总页数
}

type RequestBusinessSubmit struct {
	ID               int    `json:"id" form:"id"`
	BusinessName     string `json:"businessName"`
	AlarmType        int    `json:"alarmType"`
	DeviceType       int    `json:"deviceType"`
	MaxValue         string `json:"maxValue"`
	MinValue         string `json:"minValue"`
	Duration         string `json:"duration"`
	RelevanceLampNum string `json:"relevanceLampNum"`
	Status           int    `json:"status"  form:"status"`
}
